<% if (section === 'css') { %>
<style>
</style>
<% } %>

<% if (section === 'html') { %>
<div class="page" page="stopwatch">
  <center>
    <div class="container row">
      <div class="section">
        <h4>Tijd</h4>
        <h5 id="stopwatch-time"></h5>
      </div>
      <div class="col s6 offset-s3 row section">
        <a class="btn waves-effect watervlo-blue col s12" onclick="connection.sendCommand('stopwatch', 'toggleTime')">Start / Stop</a>
      </div>
      <div class="col s6 offset-s3 row section">
        <a class="btn waves-effect red col s12" onclick="connection.sendCommand('stopwatch', 'reset')">Reset</a>
      </div>
    </div>
  </center>
</div>
<% } %>

<% if (section === 'js') { %>
<script>
  const stopwatchTimer = new Timer(100, 'up', (time) => {
    document.getElementById('stopwatch-time').innerHTML = `${Math.floor(time / 60)}:${Math.floor(time % 60).pad(2)}.${Math.floor(time % 1 * 10)}`
  })

  registerCommand('stopwatch', 'time', (data) => {
    stopwatchTimer.setTime(data.time)

    if (data.running) {
      stopwatchTimer.start()
    } else {
      stopwatchTimer.stop()
    }
  })
</script>
<% } %>
